package com.willalp.event.domain.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;

import java.util.Date;

/**
 * APP活动记录
 *
 * @author willalp
 * @date 2023-01-29*/

public class AppActivityAppointRecordVo{

    /** 主键 */
    private String id;

    /** 事件名称 */
    @Excel(name = "事件名称")
    private String eventName;

    /** 事件开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eventTime;

    /** 事件类型 */
    @Excel(name = "事件类型")
    private String eventType;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }

    public void setEventName(String eventName)
    {
        this.eventName = eventName;
    }

    public String getEventName()
    {
        return eventName;
    }

    public Date getEventTime() {
        return eventTime;
    }

    public void setEventStartTime(Date eventTime) {
        this.eventTime = eventTime;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }
}
